Page MenuHomePhabricator

Add PAGEBANNER to euwiki
Closed, ResolvedPublic

Description

Hello,
Would it be possible to add Wikidata-Page-Banner extension to euwiki?

Thanks!

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnable WikidataPageBanner for euwiki

Event Timeline

Theklan created this task.Jul 26 2017, 5:55 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptJul 26 2017, 5:55 PM
Restricted Application added subscribers: PokestarFan, Aklapper. · View Herald Transcript
Framawiki added a subscriber: Framawiki.

Hello @Theklan, please have a look on https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes.
Have you already reached a community consensus on-wiki ? Can you provide us a link to this ?

Hello @Framawiki. I think there is consesus on this. We made a votation and no one opposed it: https://eu.wikipedia.org/wiki/Wikipedia:Txokoa#PAGEBANNER

Change 368178 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Enable WikidataPageBanner for euwiki

https://gerrit.wikimedia.org/r/368178

Urbanecm claimed this task.Jul 27 2017, 1:38 PM
Urbanecm added a subscriber: Urbanecm.

That's great!

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJul 27 2017, 1:38 PM
Urbanecm triaged this task as Normal priority.Jul 27 2017, 1:39 PM
Urbanecm moved this task from Backlog to To deploy on the User-Urbanecm board.
Jdlrobson added a subscriber: Jdlrobson.

@Urbanecm do you need help deploying?

@Jdlrobson If it can be deployed normally during a SWAT window then not :).

I've scheduled for swat at 11am today (in 20 mins time) should be up within 80 minutes from now!

That's great. If you'll need me during the window, ping me, I'm sitting in -operations.

Change 368178 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable WikidataPageBanner for euwiki

https://gerrit.wikimedia.org/r/368178

Mentioned in SAL (#wikimedia-operations) [2017-07-27T18:22:28Z] <catrope@tin> Synchronized wmf-config/InitialiseSettings.php: Enable WikidataPageBanner on euwiki (T171763) (duration: 00m 46s)

Jdlrobson closed this task as Resolved.Jul 27 2017, 7:02 PM

I deployed this and it can be seen here: https://eu.m.wikipedia.org/wiki/Lankide:Jdlrobson/sandbox

Enjoy!

Yes @Jdlrobson, it works on user pages and sandboxes, but it doesn't seem to work on articles or wikiprojects!

Theklan reopened this task as Open.Jul 27 2017, 7:07 PM

hmm.. that's strange.
$wgWPBNamespaces = true so this should work on all namespaces.

It works for me (main namespace.. but haven't hit save):

Maybe it needed some time. I saved in "Test" and it didn't work, I changed the "New Wikitest mode" in Beta off and then it worked. Maybe there's a bug there!

Jdlrobson closed this task as Resolved.Jul 27 2017, 7:26 PM

@Theklan yes looks like a bug with the beta feature. It doesn't seem to show up in preview for me.... if that's the same problem you're seeing please feel free to create a bug tagged VisualEditor .

Thanks for the help verifying!